# Akamai\Open\EdgeGrid\Client::setConfigOption

#### Set values on the private \GuzzleHttp\Client->config

This is a terrible hack, and illustrates why making anything private makes it difficult to extend, and impossible when there is no setter.

## Signature

`protected function setConfigOption(string $what, mixed $value )`

## Parameters

`$what` — string
  Config option to set
`$value` — mixed
  Value to set the option to

## Returns

void

## Test Coverage

### Information

- Coverage: 0/0 Lines (100%)
- Tests: 2
- Passed: 2 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testHostnameWithTrailingSlash
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testSetTimeout